PrefabFiles = {
	"palehuman",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/palehuman.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/palehuman.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/palehuman.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/palehuman.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/palehuman.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/palehuman.xml" ),

    Asset( "IMAGE", "bigportraits/palehuman.tex" ),
    Asset( "ATLAS", "bigportraits/palehuman.xml" ),
	
	Asset( "IMAGE", "images/map_icons/palehuman.tex" ),
	Asset( "ATLAS", "images/map_icons/palehuman.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_palehuman.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_palehuman.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_palehuman.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_palehuman.xml" ),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.palehuman = "Matt, The Pale Human"
STRINGS.CHARACTER_NAMES.palehuman = "Matt"
STRINGS.CHARACTER_DESCRIPTIONS.palehuman = "*Enjoys the Darkness\n*Wonderfully Pale\n*Not a Vampire"
STRINGS.CHARACTER_QUOTES.palehuman = "\"I don't want to ruin my colour.\""

-- Custom speech strings
STRINGS.CHARACTERS.PALEHUMAN = require "speech_palehuman"

-- The character's name as appears in-game 
STRINGS.NAMES.PALEHUMAN = "Matt, the Pale Human"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.PALEHUMAN = 
{
	GENERIC = "Matt looks nice and pale today!",
	ATTACKER = "That pale kid looks shifty...",
	MURDERER = "VAMPIRE!!!!",
	REVIVER = "Matt can raise the dead.  He's not a Vampire though.",
	GHOST = "Matt looks paler than usual..",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "palehuman")

AddMinimapAtlas("images/map_icons/palehuman.xml")
AddModCharacter("palehuman")

SpawnPrefab = GLOBAL.SpawnPrefab

local function  firedup( inst )
	local pos = inst:GetPosition()
    local fire1 = SpawnPrefab("houndfire")
    local fire2 = SpawnPrefab("houndfire")
    local fire3 = SpawnPrefab("houndfire")
    local fire4 = SpawnPrefab("houndfire")
    local fire5 = SpawnPrefab("houndfire")
    fire1.Transform:SetPosition(pos.x, 0, pos.z)
    fire2.Transform:SetPosition(pos.x + 2, 0, pos.z)
    fire3.Transform:SetPosition(pos.x, 0, pos.z + 2)
    fire4.Transform:SetPosition(pos.x - 2, 0, pos.z)
    fire5.Transform:SetPosition(pos.x, 0, pos.z - 2)
end

AddPlayerPostInit(function(inst)
    if inst.prefab == "palehuman" then
        inst:ListenForEvent("death", firedup)
    end
end)